Bug 1124488 (CVE-2014-5118) - CVE-2014-5118 tboot: argument measurement vulnerability for GRUB2+ELF kernels
Summary: CVE-2014-5118 tboot: argument measurement vulnerability for GRUB2+ELF kernels
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-5118
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140724,reported=2...
Depends On: 1124489
Blocks: 1124491
TreeView+ depends on / blocked
 
Reported: 2014-07-29 15:35 UTC by Vincent Danen
Modified: 2019-06-08 20:07 UTC (History)
6 users (show)

Fixed In Version: tboot 1.8.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-23 13:07:53 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-07-29 15:35:35 UTC
A flaw was reported [1] in how TBOOT handled measuring arguments to ELF kernels.  When TBOOT is used on systems loading an ELF kernel, the first argument to any GRUB module may go unmeasured, which may result in undetected system compromise and violates the remote attestation that the argument measurement is intended to provide.  This is fixed [2] in upstream version 1.8.2 and it is reported that all prior versions are vulnerable.

A CVE has been requested but not yet assigned [3].

[1] http://sourceforge.net/p/tboot/mailman/message/32655538/
[2] http://sourceforge.net/p/tboot/code/ci/0efdaf7c5348701484d24562e6e5323d85bb94d3/
[3] http://openwall.com/lists/oss-security/2014/07/29/1

Comment 1 Vincent Danen 2014-07-29 15:36:09 UTC
Created tboot tracking bugs for this issue:

Affects: fedora-all [bug 1124489]

Comment 2 Vincent Danen 2014-07-30 21:32:57 UTC
This was assigned CVE-2014-5118:

http://seclists.org/oss-sec/2014/q3/260

Comment 3 Fedora Update System 2014-08-16 00:28:20 UTC
tboot-1.8.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-08-16 00:30:09 UTC
tboot-1.8.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Stefan Cornelius 2014-09-08 10:11:09 UTC
Alright, this is an interaction problem with GRUB2 (and possibly more, non-legacy-grub bootloaders). RHEL6 tboot may be vulnerable, but we don't ship GRUB2 with RHEL6, so I guess it's rather uncommon to see a vulnerable RHEL6 setup.

Comment 6 Stefan Cornelius 2014-09-08 11:53:50 UTC
Upstream patch: http://sourceforge.net/p/tboot/code/ci/0efdaf7c5348701484d24562e6e5323d85bb94d3/

Comment 8 Tomas Hoger 2015-04-23 13:07:53 UTC
The tboot packages in Red Hat Enterprise Linux 7 were updated to upstream version 1.8.2 which includes the fix for this issue (see comment 6 above) via Red Hat Enterprise Linux 7.1 erratum RHBA-2015:0584:

https://rhn.redhat.com/errata/RHBA-2015-0584.html

The issue / fix is specific to use of tboot with grub 2.  Red Hat Enterprise Linux 6 provides grub 0.97 and hence the issue is not planned to be addressed there.

Comment 9 Tomas Hoger 2015-04-23 13:13:07 UTC
Note that this issue may prevent detection of bootloader configuration change, which itself require attacker to have privileged local access.


Note You need to log in before you can comment on or make changes to this bug.